Index: uspace/lib/usbdev/src/devpoll.c
===================================================================
--- uspace/lib/usbdev/src/devpoll.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/usbdev/src/devpoll.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -77,8 +77,8 @@
  * @return Always EOK.
  */
-static errno_t polling_fibril(void *arg)
+static int polling_fibril(void *arg)
 {
 	assert(arg);
-	polling_data_t *data = arg;
+	const polling_data_t *data = arg;
 	/* Helper to reduce typing. */
 	const usb_device_auto_polling_t *params = &data->auto_polling;
@@ -102,5 +102,5 @@
 	while (failed_attempts <= params->max_failures) {
 		size_t actual_size;
-		const errno_t rc = usb_pipe_read(pipe, data->buffer,
+		const int rc = usb_pipe_read(pipe, data->buffer,
 		    data->request_size, &actual_size);
 
@@ -206,5 +206,5 @@
  * @retval EOK New fibril polling the device was already started.
  */
-static errno_t usb_device_auto_polling_internal(usb_device_t *dev,
+static int usb_device_auto_polling_internal(usb_device_t *dev,
     usb_endpoint_mapping_t *epm, const usb_device_auto_polling_t *polling,
     size_t request_size)
@@ -275,5 +275,5 @@
  * @retval EOK New fibril polling the device was already started.
  */
-errno_t usb_device_auto_polling(usb_device_t *usb_dev, usb_endpoint_t ep,
+int usb_device_auto_polling(usb_device_t *usb_dev, usb_endpoint_t ep,
     const usb_device_auto_polling_t *polling, size_t req_size)
 {
@@ -301,5 +301,5 @@
  * @retval EOK New fibril polling the device was already started.
  */
-errno_t usb_device_auto_poll(usb_device_t *dev, usb_endpoint_t ep,
+int usb_device_auto_poll(usb_device_t *dev, usb_endpoint_t ep,
     usb_polling_callback_t callback, size_t request_size, int delay,
     usb_polling_terminted_callback_t terminated_callback, void *arg)
@@ -321,5 +321,5 @@
 }
 
-errno_t usb_device_auto_polling_desc(usb_device_t *usb_dev,
+int usb_device_auto_polling_desc(usb_device_t *usb_dev,
     const usb_endpoint_description_t *desc,
     const usb_device_auto_polling_t *polling, size_t req_size)
@@ -330,5 +330,5 @@
 }
 
-errno_t usb_device_auto_poll_desc(usb_device_t * usb_dev,
+int usb_device_auto_poll_desc(usb_device_t * usb_dev,
     const usb_endpoint_description_t *desc, usb_polling_callback_t callback,
     size_t req_size, int delay,
Index: uspace/lib/usbdev/src/driver.c
===================================================================
--- uspace/lib/usbdev/src/driver.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/usbdev/src/driver.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -52,5 +52,5 @@
  * @return Error code.
  */
-static errno_t generic_device_add(ddf_dev_t *gen_dev)
+static int generic_device_add(ddf_dev_t *gen_dev)
 {
 	assert(driver);
@@ -60,5 +60,5 @@
 	/* Initialize generic USB driver data. */
 	const char *err_msg = NULL;
-	errno_t rc = usb_device_create_ddf(gen_dev, driver->endpoints, &err_msg);
+	int rc = usb_device_create_ddf(gen_dev, driver->endpoints, &err_msg);
 	if (rc != EOK) {
 		usb_log_error("USB device `%s' init failed (%s): %s.\n",
@@ -81,5 +81,5 @@
  * @return Error code.
  */
-static errno_t generic_device_remove(ddf_dev_t *gen_dev)
+static int generic_device_remove(ddf_dev_t *gen_dev)
 {
 	assert(driver);
@@ -89,5 +89,5 @@
 	/* Just tell the driver to stop whatever it is doing */
 	usb_device_t *usb_dev = ddf_dev_data_get(gen_dev);
-	const errno_t ret = driver->ops->device_rem(usb_dev);
+	const int ret = driver->ops->device_rem(usb_dev);
 	if (ret != EOK)
 		return ret;
@@ -103,5 +103,5 @@
  * @return Error code.
  */
-static errno_t generic_device_gone(ddf_dev_t *gen_dev)
+static int generic_device_gone(ddf_dev_t *gen_dev)
 {
 	assert(driver);
@@ -110,5 +110,5 @@
 		return ENOTSUP;
 	usb_device_t *usb_dev = ddf_dev_data_get(gen_dev);
-	const errno_t ret = driver->ops->device_gone(usb_dev);
+	const int ret = driver->ops->device_gone(usb_dev);
 	if (ret == EOK)
 		usb_device_destroy_ddf(gen_dev);
Index: uspace/lib/usbdev/src/pipes.c
===================================================================
--- uspace/lib/usbdev/src/pipes.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/usbdev/src/pipes.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -74,5 +74,5 @@
  * @return Error code.
  */
-errno_t usb_pipe_control_read(usb_pipe_t *pipe,
+int usb_pipe_control_read(usb_pipe_t *pipe,
     const void *setup_buffer, size_t setup_buffer_size,
     void *buffer, size_t buffer_size, size_t *transfered_size)
@@ -98,5 +98,5 @@
 	async_exch_t *exch = async_exchange_begin(pipe->bus_session);
 	size_t act_size = 0;
-	const errno_t rc = usb_read(exch, pipe->endpoint_no, setup_packet, buffer,
+	const int rc = usb_read(exch, pipe->endpoint_no, setup_packet, buffer,
 	    buffer_size, &act_size);
 	async_exchange_end(exch);
@@ -124,5 +124,5 @@
  * @return Error code.
  */
-errno_t usb_pipe_control_write(usb_pipe_t *pipe,
+int usb_pipe_control_write(usb_pipe_t *pipe,
     const void *setup_buffer, size_t setup_buffer_size,
     const void *buffer, size_t buffer_size)
@@ -151,5 +151,5 @@
 
 	async_exch_t *exch = async_exchange_begin(pipe->bus_session);
-	const errno_t rc = usb_write(exch,
+	const int rc = usb_write(exch,
 	    pipe->endpoint_no, setup_packet, buffer, buffer_size);
 	async_exchange_end(exch);
@@ -170,5 +170,5 @@
  * @return Error code.
  */
-errno_t usb_pipe_read(usb_pipe_t *pipe,
+int usb_pipe_read(usb_pipe_t *pipe,
     void *buffer, size_t size, size_t *size_transfered)
 {
@@ -198,5 +198,5 @@
 	async_exch_t *exch = async_exchange_begin(pipe->bus_session);
 	size_t act_size = 0;
-	const errno_t rc =
+	const int rc =
 	    usb_read(exch, pipe->endpoint_no, 0, buffer, size, &act_size);
 	async_exchange_end(exch);
@@ -216,5 +216,5 @@
  * @return Error code.
  */
-errno_t usb_pipe_write(usb_pipe_t *pipe, const void *buffer, size_t size)
+int usb_pipe_write(usb_pipe_t *pipe, const void *buffer, size_t size)
 {
 	assert(pipe);
@@ -238,5 +238,5 @@
 
 	async_exch_t *exch = async_exchange_begin(pipe->bus_session);
-	const errno_t rc = usb_write(exch, pipe->endpoint_no, 0, buffer, size);
+	const int rc = usb_write(exch, pipe->endpoint_no, 0, buffer, size);
 	async_exchange_end(exch);
 	return rc;
@@ -252,5 +252,5 @@
  * @return Error code.
  */
-errno_t usb_pipe_initialize(usb_pipe_t *pipe, usb_endpoint_t endpoint_no,
+int usb_pipe_initialize(usb_pipe_t *pipe, usb_endpoint_t endpoint_no,
     usb_transfer_type_t transfer_type, size_t max_packet_size,
     usb_direction_t direction, unsigned packets, usb_dev_session_t *bus_session)
@@ -274,10 +274,10 @@
  * @return Error code.
  */
-errno_t usb_pipe_initialize_default_control(usb_pipe_t *pipe,
+int usb_pipe_initialize_default_control(usb_pipe_t *pipe,
     usb_dev_session_t *bus_session)
 {
 	assert(pipe);
 
-	const errno_t rc = usb_pipe_initialize(pipe, 0, USB_TRANSFER_CONTROL,
+	const int rc = usb_pipe_initialize(pipe, 0, USB_TRANSFER_CONTROL,
 	    CTRL_PIPE_MIN_PACKET_SIZE, USB_DIRECTION_BOTH, 1, bus_session);
 
@@ -293,5 +293,5 @@
  * @return Error code.
  */
-errno_t usb_pipe_register(usb_pipe_t *pipe, unsigned interval)
+int usb_pipe_register(usb_pipe_t *pipe, unsigned interval)
 {
 	assert(pipe);
@@ -300,5 +300,5 @@
 	if (!exch)
 		return ENOMEM;
-	const errno_t ret = usb_register_endpoint(exch, pipe->endpoint_no,
+	const int ret = usb_register_endpoint(exch, pipe->endpoint_no,
 	    pipe->transfer_type, pipe->direction, pipe->max_packet_size,
 	    pipe->packets, interval);
@@ -312,5 +312,5 @@
  * @return Error code.
  */
-errno_t usb_pipe_unregister(usb_pipe_t *pipe)
+int usb_pipe_unregister(usb_pipe_t *pipe)
 {
 	assert(pipe);
@@ -319,5 +319,5 @@
 	if (!exch)
 		return ENOMEM;
-	const errno_t ret = usb_unregister_endpoint(exch, pipe->endpoint_no,
+	const int ret = usb_unregister_endpoint(exch, pipe->endpoint_no,
 	    pipe->direction);
 	async_exchange_end(exch);
Index: uspace/lib/usbdev/src/pipesinit.c
===================================================================
--- uspace/lib/usbdev/src/pipesinit.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/usbdev/src/pipesinit.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -152,5 +152,5 @@
  * @return Error code.
  */
-static errno_t process_endpoint(
+static int process_endpoint(
     usb_endpoint_mapping_t *mapping, size_t mapping_count,
     usb_standard_interface_descriptor_t *interface,
@@ -194,5 +194,5 @@
 	}
 
-	errno_t rc = usb_pipe_initialize(&ep_mapping->pipe,
+	int rc = usb_pipe_initialize(&ep_mapping->pipe,
 	    ep_no, description.transfer_type,
 	    ED_MPS_PACKET_SIZE_GET(
@@ -221,5 +221,5 @@
  * @return Error code.
  */
-static errno_t process_interface(
+static int process_interface(
     usb_endpoint_mapping_t *mapping, size_t mapping_count,
     const usb_dp_parser_t *parser, const usb_dp_parser_data_t *parser_data,
@@ -281,5 +281,5 @@
  * @return Error code.
  */
-errno_t usb_pipe_initialize_from_configuration(
+int usb_pipe_initialize_from_configuration(
     usb_endpoint_mapping_t *mapping, size_t mapping_count,
     const uint8_t *config_descriptor, size_t config_descriptor_size,
@@ -338,5 +338,5 @@
  * @return Error code.
  */
-errno_t usb_pipe_probe_default_control(usb_pipe_t *pipe)
+int usb_pipe_probe_default_control(usb_pipe_t *pipe)
 {
 	assert(pipe);
@@ -351,5 +351,5 @@
 	uint8_t dev_descr_start[CTRL_PIPE_MIN_PACKET_SIZE];
 	size_t transferred_size;
-	errno_t rc;
+	int rc;
 	for (size_t attempt_var = 0; attempt_var < 3; ++attempt_var) {
 		rc = usb_request_get_descriptor(pipe, USB_REQUEST_TYPE_STANDARD,
Index: uspace/lib/usbdev/src/recognise.c
===================================================================
--- uspace/lib/usbdev/src/recognise.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/usbdev/src/recognise.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -60,6 +60,6 @@
  * @return Error code.
  */
-static errno_t usb_add_match_id(match_id_list_t *matches, int score,
-    char *match_str)
+static int usb_add_match_id(match_id_list_t *matches, int score,
+    const char *match_str)
 {
 	assert(matches);
@@ -88,12 +88,10 @@
 		char *str = NULL; \
 		int __rc = asprintf(&str, format, ##__VA_ARGS__); \
-		if (__rc >= 0) { \
-			errno_t __rc = usb_add_match_id((match_ids), (score), str); \
-			if (__rc != EOK) { \
-				free(str); \
-				return __rc; \
-			} \
-		} else { \
-			return ENOMEM; \
+		if (__rc > 0) { \
+			__rc = usb_add_match_id((match_ids), (score), str); \
+		} \
+		if (__rc != EOK) { \
+			free(str); \
+			return __rc; \
 		} \
 	} while (0)
@@ -108,5 +106,5 @@
  * @retval ENOENT Device class is not "use interface".
  */
-errno_t usb_device_create_match_ids_from_interface(
+int usb_device_create_match_ids_from_interface(
     const usb_standard_device_descriptor_t *desc_device,
     const usb_standard_interface_descriptor_t *desc_interface,
@@ -220,5 +218,5 @@
  * @return Error code.
  */
-errno_t usb_device_create_match_ids_from_device_descriptor(
+int usb_device_create_match_ids_from_device_descriptor(
     const usb_standard_device_descriptor_t *device_descriptor,
     match_id_list_t *matches)
@@ -264,9 +262,9 @@
  * @return Error code.
  */
-errno_t usb_device_create_match_ids(usb_pipe_t *ctrl_pipe,
+int usb_device_create_match_ids(usb_pipe_t *ctrl_pipe,
     match_id_list_t *matches)
 {
 	assert(ctrl_pipe);
-	errno_t rc;
+	int rc;
 	/*
 	 * Retrieve device descriptor and add matches from it.
Index: uspace/lib/usbdev/src/request.c
===================================================================
--- uspace/lib/usbdev/src/request.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/usbdev/src/request.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -68,5 +68,5 @@
  *
  */
-errno_t usb_control_request_set(usb_pipe_t *pipe,
+int usb_control_request_set(usb_pipe_t *pipe,
     usb_request_type_t request_type, usb_request_recipient_t recipient,
     uint8_t request, uint16_t value, uint16_t index,
@@ -127,5 +127,5 @@
  *
  */
-errno_t usb_control_request_get(usb_pipe_t *pipe,
+int usb_control_request_get(usb_pipe_t *pipe,
     usb_request_type_t request_type, usb_request_recipient_t recipient,
     uint8_t request, uint16_t value, uint16_t index,
@@ -170,5 +170,5 @@
  * @return Error code.
  */
-errno_t usb_request_get_status(usb_pipe_t *pipe,
+int usb_request_get_status(usb_pipe_t *pipe,
     usb_request_recipient_t recipient, uint16_t index,
     uint16_t *status)
@@ -184,5 +184,5 @@
 	uint16_t status_usb_endianess;
 	size_t data_transfered_size;
-	errno_t rc = usb_control_request_get(pipe, USB_REQUEST_TYPE_STANDARD,
+	int rc = usb_control_request_get(pipe, USB_REQUEST_TYPE_STANDARD,
 	    recipient, USB_DEVREQ_GET_STATUS, 0, uint16_host2usb(index),
 	    &status_usb_endianess, 2, &data_transfered_size);
@@ -208,5 +208,5 @@
  * @return Error code.
  */
-errno_t usb_request_clear_feature(usb_pipe_t *pipe,
+int usb_request_clear_feature(usb_pipe_t *pipe,
     usb_request_type_t request_type, usb_request_recipient_t recipient,
     uint16_t feature_selector, uint16_t index)
@@ -232,5 +232,5 @@
  * @return Error code.
  */
-errno_t usb_request_set_feature(usb_pipe_t *pipe,
+int usb_request_set_feature(usb_pipe_t *pipe,
     usb_request_type_t request_type, usb_request_recipient_t recipient,
     uint16_t feature_selector, uint16_t index)
@@ -260,5 +260,5 @@
  * @return Error code.
  */
-errno_t usb_request_get_descriptor(usb_pipe_t *pipe,
+int usb_request_get_descriptor(usb_pipe_t *pipe,
     usb_request_type_t request_type, usb_request_recipient_t recipient,
     uint8_t descriptor_type, uint8_t descriptor_index,
@@ -298,5 +298,5 @@
  * @return
  */
-errno_t usb_request_get_descriptor_alloc(usb_pipe_t * pipe,
+int usb_request_get_descriptor_alloc(usb_pipe_t * pipe,
     usb_request_type_t request_type, usb_request_recipient_t recipient,
     uint8_t descriptor_type, uint8_t descriptor_index,
@@ -308,5 +308,5 @@
 	}
 
-	errno_t rc;
+	int rc;
 
 	/*
@@ -364,5 +364,5 @@
  * @return Error code.
  */
-errno_t usb_request_get_device_descriptor(usb_pipe_t *pipe,
+int usb_request_get_device_descriptor(usb_pipe_t *pipe,
     usb_standard_device_descriptor_t *descriptor)
 {
@@ -373,5 +373,5 @@
 	size_t actually_transferred = 0;
 	usb_standard_device_descriptor_t descriptor_tmp;
-	errno_t rc = usb_request_get_descriptor(pipe,
+	int rc = usb_request_get_descriptor(pipe,
 	    USB_REQUEST_TYPE_STANDARD, USB_REQUEST_RECIPIENT_DEVICE,
 	    USB_DESCTYPE_DEVICE, 0, 0, &descriptor_tmp, sizeof(descriptor_tmp),
@@ -404,5 +404,5 @@
  * @return Error code.
  */
-errno_t usb_request_get_bare_configuration_descriptor(usb_pipe_t *pipe,
+int usb_request_get_bare_configuration_descriptor(usb_pipe_t *pipe,
     int index, usb_standard_configuration_descriptor_t *descriptor)
 {
@@ -417,5 +417,5 @@
 	size_t actually_transferred = 0;
 	usb_standard_configuration_descriptor_t descriptor_tmp;
-	const errno_t rc = usb_request_get_descriptor(pipe,
+	const int rc = usb_request_get_descriptor(pipe,
 	    USB_REQUEST_TYPE_STANDARD, USB_REQUEST_RECIPIENT_DEVICE,
 	    USB_DESCTYPE_CONFIGURATION, index, 0,
@@ -448,5 +448,5 @@
  * @return Error code.
  */
-errno_t usb_request_get_full_configuration_descriptor(usb_pipe_t *pipe,
+int usb_request_get_full_configuration_descriptor(usb_pipe_t *pipe,
     int index, void *descriptor, size_t descriptor_size, size_t *actual_size)
 {
@@ -473,9 +473,9 @@
  * @return Error code.
  */
-errno_t usb_request_get_full_configuration_descriptor_alloc(
+int usb_request_get_full_configuration_descriptor_alloc(
     usb_pipe_t *pipe, int index,
-    void **descriptor_ptr, size_t *descriptor_size)
-{
-	errno_t rc;
+    const void **descriptor_ptr, size_t *descriptor_size)
+{
+	int rc;
 
 	if (descriptor_ptr == NULL) {
@@ -539,5 +539,5 @@
  * @return Error code.
  */
-errno_t usb_request_set_descriptor(usb_pipe_t *pipe,
+int usb_request_set_descriptor(usb_pipe_t *pipe,
     usb_request_type_t request_type, usb_request_recipient_t recipient,
     uint8_t descriptor_type, uint8_t descriptor_index,
@@ -565,5 +565,5 @@
  * @return Error code.
  */
-errno_t usb_request_get_configuration(usb_pipe_t *pipe,
+int usb_request_get_configuration(usb_pipe_t *pipe,
     uint8_t *configuration_value)
 {
@@ -571,5 +571,5 @@
 	size_t actual_size;
 
-	const errno_t rc = usb_control_request_get(pipe,
+	const int rc = usb_control_request_get(pipe,
 	    USB_REQUEST_TYPE_STANDARD, USB_REQUEST_RECIPIENT_DEVICE,
 	    USB_DEVREQ_GET_CONFIGURATION, 0, 0, &value, 1, &actual_size);
@@ -595,5 +595,5 @@
  * @return Error code.
  */
-errno_t usb_request_set_configuration(usb_pipe_t *pipe,
+int usb_request_set_configuration(usb_pipe_t *pipe,
     uint8_t configuration_value)
 {
@@ -614,5 +614,5 @@
  * @return Error code.
  */
-errno_t usb_request_get_interface(usb_pipe_t *pipe,
+int usb_request_get_interface(usb_pipe_t *pipe,
     uint8_t interface_index, uint8_t *alternate_setting)
 {
@@ -620,5 +620,5 @@
 	size_t actual_size;
 
-	const errno_t rc = usb_control_request_get(pipe,
+	const int rc = usb_control_request_get(pipe,
 	    USB_REQUEST_TYPE_STANDARD, USB_REQUEST_RECIPIENT_INTERFACE,
 	    USB_DEVREQ_GET_INTERFACE,
@@ -647,5 +647,5 @@
  * @return Error code.
  */
-errno_t usb_request_set_interface(usb_pipe_t *pipe,
+int usb_request_set_interface(usb_pipe_t *pipe,
     uint8_t interface_index, uint8_t alternate_setting)
 {
@@ -666,5 +666,5 @@
  * @return Error code.
  */
-errno_t usb_request_get_supported_languages(usb_pipe_t *pipe,
+int usb_request_get_supported_languages(usb_pipe_t *pipe,
     l18_win_locales_t **languages_ptr, size_t *languages_count)
 {
@@ -675,5 +675,5 @@
 	uint8_t *string_descriptor = NULL;
 	size_t string_descriptor_size = 0;
-	const errno_t rc = usb_request_get_descriptor_alloc(pipe,
+	const int rc = usb_request_get_descriptor_alloc(pipe,
 	    USB_REQUEST_TYPE_STANDARD, USB_REQUEST_RECIPIENT_DEVICE,
 	    USB_DESCTYPE_STRING, 0, 0,
@@ -733,5 +733,5 @@
  * @return Error code.
  */
-errno_t usb_request_get_string(usb_pipe_t *pipe,
+int usb_request_get_string(usb_pipe_t *pipe,
     size_t index, l18_win_locales_t lang, char **string_ptr)
 {
@@ -751,5 +751,5 @@
 	}
 
-	errno_t rc;
+	int rc;
 
 	/* Prepare dynamically allocated variables. */
@@ -824,5 +824,5 @@
  * @return Error code.
  */
-errno_t usb_request_clear_endpoint_halt(usb_pipe_t *pipe, uint16_t ep_index)
+int usb_request_clear_endpoint_halt(usb_pipe_t *pipe, uint16_t ep_index)
 {
 	return usb_request_clear_feature(pipe,
@@ -838,5 +838,5 @@
  * @return Error code.
  */
-errno_t usb_pipe_clear_halt(usb_pipe_t *ctrl_pipe, usb_pipe_t *target_pipe)
+int usb_pipe_clear_halt(usb_pipe_t *ctrl_pipe, usb_pipe_t *target_pipe)
 {
 	if ((ctrl_pipe == NULL) || (target_pipe == NULL)) {
@@ -854,10 +854,10 @@
  * @return Error code.
  */
-errno_t usb_request_get_endpoint_status(usb_pipe_t *ctrl_pipe, usb_pipe_t *pipe,
+int usb_request_get_endpoint_status(usb_pipe_t *ctrl_pipe, usb_pipe_t *pipe,
     uint16_t *status)
 {
 	uint16_t status_tmp;
 	uint16_t pipe_index = (uint16_t) pipe->endpoint_no;
-	errno_t rc = usb_request_get_status(ctrl_pipe,
+	int rc = usb_request_get_status(ctrl_pipe,
 	    USB_REQUEST_RECIPIENT_ENDPOINT, uint16_host2usb(pipe_index),
 	    &status_tmp);
Index: uspace/lib/usbhid/include/usb/hid/hiddescriptor.h
===================================================================
--- uspace/lib/usbhid/include/usb/hid/hiddescriptor.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/usbhid/include/usb/hid/hiddescriptor.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -36,5 +36,4 @@
 #define LIBUSB_HIDDESCRIPTOR_H_
 
-#include <errno.h>
 #include <stdint.h>
 #include <adt/list.h>
@@ -43,35 +42,35 @@
 #include <usb/hid/hidtypes.h>
 
-errno_t usb_hid_parse_report_descriptor(usb_hid_report_t *report,
-    const uint8_t *data, size_t size);
+int usb_hid_parse_report_descriptor(usb_hid_report_t *report,
+		const uint8_t *data, size_t size);
 
 void usb_hid_descriptor_print(usb_hid_report_t *report);
 
-errno_t usb_hid_report_init(usb_hid_report_t *report);
+int usb_hid_report_init(usb_hid_report_t *report);
 
 void usb_hid_report_deinit(usb_hid_report_t *report);
 
-errno_t usb_hid_report_append_fields(usb_hid_report_t *report,
-    usb_hid_report_item_t *report_item);
+int usb_hid_report_append_fields(usb_hid_report_t *report,
+		usb_hid_report_item_t *report_item);
 
-usb_hid_report_description_t *usb_hid_report_find_description(
-    const usb_hid_report_t *report, uint8_t report_id,
-    usb_hid_report_type_t type);
+usb_hid_report_description_t * usb_hid_report_find_description(
+		const usb_hid_report_t *report, uint8_t report_id,
+		usb_hid_report_type_t type);
 
 int usb_hid_report_parse_tag(uint8_t tag, uint8_t class, const uint8_t *data,
-    size_t item_size, usb_hid_report_item_t *report_item,
-    usb_hid_report_path_t *usage_path);
+		size_t item_size, usb_hid_report_item_t *report_item,
+		usb_hid_report_path_t *usage_path);
 
-int usb_hid_report_parse_main_tag(uint8_t tag, const uint8_t *data,
-    size_t item_size, usb_hid_report_item_t *report_item,
-    usb_hid_report_path_t *usage_path);
+int usb_hid_report_parse_main_tag(uint8_t tag, const uint8_t *data, 
+		size_t item_size, usb_hid_report_item_t *report_item,
+		usb_hid_report_path_t *usage_path);
 
-int usb_hid_report_parse_global_tag(uint8_t tag, const uint8_t *data,
-    size_t item_size, usb_hid_report_item_t *report_item,
-    usb_hid_report_path_t *usage_path);
+int usb_hid_report_parse_global_tag(uint8_t tag, const uint8_t *data, 
+		size_t item_size, usb_hid_report_item_t *report_item,
+		usb_hid_report_path_t *usage_path);
 
-int usb_hid_report_parse_local_tag(uint8_t tag, const uint8_t *data,
-    size_t item_size, usb_hid_report_item_t *report_item,
-    usb_hid_report_path_t *usage_path);
+int usb_hid_report_parse_local_tag(uint8_t tag, const uint8_t *data, 
+		size_t item_size, usb_hid_report_item_t *report_item,
+		usb_hid_report_path_t *usage_path);
 
 void usb_hid_descriptor_print_list(list_t *list);
@@ -80,10 +79,10 @@
 
 usb_hid_report_item_t *usb_hid_report_item_clone(
-    const usb_hid_report_item_t *item);
+		const usb_hid_report_item_t *item);
 
 uint32_t usb_hid_report_tag_data_uint32(const uint8_t *data, size_t size);
 
-usb_hid_report_path_t *usb_hid_report_path_try_insert(usb_hid_report_t *report,
-    usb_hid_report_path_t *cmp_path);
+usb_hid_report_path_t *usb_hid_report_path_try_insert(usb_hid_report_t*report,
+		usb_hid_report_path_t *cmp_path);
 
 
Index: uspace/lib/usbhid/include/usb/hid/hidparser.h
===================================================================
--- uspace/lib/usbhid/include/usb/hid/hidparser.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/usbhid/include/usb/hid/hidparser.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -47,24 +47,24 @@
  * Input report parser functions
  */
-errno_t usb_hid_parse_report(const usb_hid_report_t *report, const uint8_t *data,
-    size_t size, uint8_t *report_id);
+int usb_hid_parse_report(const usb_hid_report_t *report, const uint8_t *data,
+		size_t size, uint8_t *report_id);
 
 /*
  * Output report parser functions
  */
-uint8_t *usb_hid_report_output(usb_hid_report_t *report, size_t *size,
-    uint8_t report_id);
+uint8_t *usb_hid_report_output(usb_hid_report_t *report, size_t *size, 
+		uint8_t report_id);
 
 void usb_hid_report_output_free(uint8_t *output);
 
 size_t usb_hid_report_size(usb_hid_report_t *report, uint8_t report_id,
-    usb_hid_report_type_t type);
+		usb_hid_report_type_t type);
 
 size_t usb_hid_report_byte_size(usb_hid_report_t *report, uint8_t report_id,
-    usb_hid_report_type_t type);
+		usb_hid_report_type_t type);
 
 
-errno_t usb_hid_report_output_translate(usb_hid_report_t *report,
-    uint8_t report_id, uint8_t *buffer, size_t size);
+int usb_hid_report_output_translate(usb_hid_report_t *report, 
+		uint8_t report_id, uint8_t *buffer, size_t size);
 
 
@@ -73,9 +73,9 @@
  */
 usb_hid_report_field_t *usb_hid_report_get_sibling(usb_hid_report_t *report,
-    usb_hid_report_field_t *field, usb_hid_report_path_t *path,
-    int flags, usb_hid_report_type_t type);
+		usb_hid_report_field_t *field, usb_hid_report_path_t *path,
+		int flags, usb_hid_report_type_t type);
 
-uint8_t usb_hid_get_next_report_id(usb_hid_report_t *report,
-    uint8_t report_id, usb_hid_report_type_t type);
+uint8_t usb_hid_get_next_report_id(usb_hid_report_t *report, 
+		uint8_t report_id, usb_hid_report_type_t type);
 
 #endif
Index: uspace/lib/usbhid/include/usb/hid/hidpath.h
===================================================================
--- uspace/lib/usbhid/include/usb/hid/hidpath.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/usbhid/include/usb/hid/hidpath.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -36,5 +36,4 @@
 #define LIBUSB_HIDPATH_H_
 
-#include <errno.h>
 #include <usb/hid/hidparser.h>
 #include <stdint.h>
@@ -83,5 +82,5 @@
 	/** Usage page of report item. Zero when usage page can be changed. */
 	uint32_t usage_page;
-	/** Usage of report item. Zero when usage can be changed. */
+	/** Usage of report item. Zero when usage can be changed. */	
 	uint32_t usage;
 
@@ -118,9 +117,9 @@
 void usb_hid_report_path_free(usb_hid_report_path_t *path);
 
-errno_t usb_hid_report_path_set_report_id(usb_hid_report_path_t *usage_path,
-    uint8_t report_id);
+int usb_hid_report_path_set_report_id(usb_hid_report_path_t *usage_path,
+		uint8_t report_id);
 
-errno_t usb_hid_report_path_append_item(usb_hid_report_path_t *usage_path,
-    int32_t usage_page, int32_t usage);
+int usb_hid_report_path_append_item(usb_hid_report_path_t *usage_path, 
+		int32_t usage_page, int32_t usage);
 
 void usb_hid_report_remove_last_item(usb_hid_report_path_t *usage_path);
@@ -128,12 +127,12 @@
 void usb_hid_report_null_last_item(usb_hid_report_path_t *usage_path);
 
-void usb_hid_report_set_last_item(usb_hid_report_path_t *usage_path,
-    int32_t tag, int32_t data);
+void usb_hid_report_set_last_item(usb_hid_report_path_t *usage_path, 
+		int32_t tag, int32_t data);
 
 int usb_hid_report_compare_usage_path(usb_hid_report_path_t *report_path,
-    usb_hid_report_path_t *path, int flags);
+		usb_hid_report_path_t *path, int flags);
 
 usb_hid_report_path_t *usb_hid_report_path_clone(
-    usb_hid_report_path_t *usage_path);
+		usb_hid_report_path_t *usage_path);
 
 void usb_hid_print_usage_path(usb_hid_report_path_t *path);
Index: uspace/lib/usbhid/include/usb/hid/hidreport.h
===================================================================
--- uspace/lib/usbhid/include/usb/hid/hidreport.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/usbhid/include/usb/hid/hidreport.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -58,5 +58,5 @@
  *         usb_pipe_end_session() or usb_request_get_descriptor().
  */
-errno_t usb_hid_process_report_descriptor(usb_device_t *dev,
+int usb_hid_process_report_descriptor(usb_device_t *dev, 
     usb_hid_report_t *report, uint8_t **report_desc, size_t *report_size);
 
Index: uspace/lib/usbhid/include/usb/hid/request.h
===================================================================
--- uspace/lib/usbhid/include/usb/hid/request.h	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/usbhid/include/usb/hid/request.h	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -44,20 +44,20 @@
 
 
-errno_t usbhid_req_set_report(usb_pipe_t *ctrl_pipe, int iface_no,
+int usbhid_req_set_report(usb_pipe_t *ctrl_pipe, int iface_no,
     usb_hid_report_type_t type, uint8_t *buffer, size_t buf_size);
 
-errno_t usbhid_req_set_protocol(usb_pipe_t *ctrl_pipe, int iface_no,
+int usbhid_req_set_protocol(usb_pipe_t *ctrl_pipe, int iface_no, 
     usb_hid_protocol_t protocol);
 
-errno_t usbhid_req_set_idle(usb_pipe_t *ctrl_pipe, int iface_no, uint8_t duration);
+int usbhid_req_set_idle(usb_pipe_t *ctrl_pipe, int iface_no, uint8_t duration);
 
-errno_t usbhid_req_get_report(usb_pipe_t *ctrl_pipe, int iface_no,
-    usb_hid_report_type_t type, uint8_t *buffer, size_t buf_size,
+int usbhid_req_get_report(usb_pipe_t *ctrl_pipe, int iface_no, 
+    usb_hid_report_type_t type, uint8_t *buffer, size_t buf_size, 
     size_t *actual_size);
 
-errno_t usbhid_req_get_protocol(usb_pipe_t *ctrl_pipe, int iface_no,
+int usbhid_req_get_protocol(usb_pipe_t *ctrl_pipe, int iface_no, 
     usb_hid_protocol_t *protocol);
 
-errno_t usbhid_req_get_idle(usb_pipe_t *ctrl_pipe, int iface_no, uint8_t *duration);
+int usbhid_req_get_idle(usb_pipe_t *ctrl_pipe, int iface_no, uint8_t *duration);
 
 
Index: uspace/lib/usbhid/src/hiddescriptor.c
===================================================================
--- uspace/lib/usbhid/src/hiddescriptor.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/usbhid/src/hiddescriptor.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -75,5 +75,4 @@
 #define USB_HID_RESET_OFFSET	3
 
-#define USB_HID_INVALID                 -98
 /** Unknown tag was founded in report descriptor data*/
 #define USB_HID_UNKNOWN_TAG		-99
@@ -104,5 +103,5 @@
 		
 		if(usb_hid_report_compare_usage_path(path, cmp_path,
-					USB_HID_PATH_COMPARE_STRICT) == 0){
+					USB_HID_PATH_COMPARE_STRICT) == EOK){
 			break;
 		}
@@ -134,5 +133,5 @@
  * @retval EOK If report structure was successfully initialized
  */
-errno_t usb_hid_report_init(usb_hid_report_t *report)
+int usb_hid_report_init(usb_hid_report_t *report)
 {
 	if (report == NULL) {
@@ -162,5 +161,5 @@
  *
  */
-errno_t usb_hid_report_append_fields(usb_hid_report_t *report,
+int usb_hid_report_append_fields(usb_hid_report_t *report,
 		usb_hid_report_item_t *report_item) {
 
@@ -356,5 +355,5 @@
  * @retval EOK If report descriptor is successfully parsed
  */
-errno_t usb_hid_parse_report_descriptor(usb_hid_report_t *report, 
+int usb_hid_parse_report_descriptor(usb_hid_report_t *report, 
     const uint8_t *data, size_t size)
 {
@@ -554,5 +553,5 @@
 
 		if((ret=usb_hid_report_parse_main_tag(tag, data, item_size,
-			report_item, usage_path)) == 0) {
+			report_item, usage_path)) == EOK) {
 
 			return USB_HID_NEW_REPORT_ITEM;
@@ -585,5 +584,5 @@
  * @param Length of data buffer
  * @param Current state table
- * @return 0 or USB_HID_ code
+ * @return Error code
  */
 
@@ -600,5 +599,5 @@
 	case USB_HID_REPORT_TAG_FEATURE:
 		report_item->item_flags = *data;			
-		return 0;			
+		return EOK;			
 		break;
 			
@@ -640,5 +639,5 @@
 	}
 
-	return 0;
+	return EOK;
 }
 
@@ -650,5 +649,5 @@
  * @param Length of data buffer
  * @param Current state table
- * @return 0 or USB_HID_ code
+ * @return Error code
  */
 int usb_hid_report_parse_global_tag(uint8_t tag, const uint8_t *data, 
@@ -726,5 +725,5 @@
 	}
 
-	return 0;
+	return EOK;
 }
 
@@ -736,5 +735,5 @@
  * @param Length of data buffer
  * @param Current state table
- * @return 0 or USB_HID_ code
+ * @return Error code
  */
 int usb_hid_report_parse_local_tag(uint8_t tag, const uint8_t *data,
@@ -792,5 +791,5 @@
 			    USB_HID_EXTENDED_USAGE_PAGE(
 			    usb_hid_report_tag_data_uint32(data, item_size))) {
-				return USB_HID_INVALID;
+				return EINVAL;
 			}
 			
@@ -863,5 +862,5 @@
 	}
 	
-	return 0;
+	return EOK;
 }
 
